Page MenuHomePhabricator

Set phan-taint-check plugin version in extensions themselves instead of hardcoding it in CI
Closed, ResolvedPublic

Description

To make upgrading/releasing new versions of the phan-taint-check plugin sane, we need to move the version number into extensions themselves, so we can do per-repository upgrades. However, we can't use the normal require-dev method, since the plugin depends upon exactly PHP 7.0.x, so it would prevent installation on any newer or older version.

Instead, I propose/plan on using composer.json's extra field:

"extra": {
    "phan-taint-check-plugin": "1.1.0",
},

And CI will read from that to determine which version of the plugin to install.

Event Timeline

Legoktm created this task.Feb 15 2018, 8:29 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptFeb 15 2018, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 411186 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Read phan-taint-check-plugin version out of composer.json

https://gerrit.wikimedia.org/r/411186

See also T174339 for the same issue with phan itself

Change 411186 merged by jenkins-bot:
[integration/config@master] Read phan-taint-check-plugin version out of composer.json

https://gerrit.wikimedia.org/r/411186

Change 411465 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Renameuser@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411465

Change 411467 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Cite@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411467

Change 411468 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/CiteThisPage@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411468

Change 411469 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ConfirmEdit@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411469

Change 411470 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Gadgets@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411470

Change 411471 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ImageMap@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411471

Change 411472 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/InputBox@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411472

Change 411473 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Interwiki@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411473

Change 411474 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/LocalisationUpdate@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411474

Change 411475 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Nuke@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411475

Change 411476 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ParserFunctions@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411476

Change 411477 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/PdfHandler@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411477

Change 411478 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Poem@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411478

Change 411479 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/SpamBlacklist@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411479

Change 411480 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411480

Change 411481 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/TitleBlacklist@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411481

Change 411482 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/WikiEditor@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411482

Change 411465 merged by jenkins-bot:
[mediawiki/extensions/Renameuser@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411465

Change 411482 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411482

Change 411481 merged by jenkins-bot:
[mediawiki/extensions/TitleBlacklist@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411481

Change 411479 merged by jenkins-bot:
[mediawiki/extensions/SpamBlacklist@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411479

Change 411476 merged by jenkins-bot:
[mediawiki/extensions/ParserFunctions@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411476

Change 411472 merged by jenkins-bot:
[mediawiki/extensions/InputBox@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411472

Change 411470 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411470

Change 411473 merged by jenkins-bot:
[mediawiki/extensions/Interwiki@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411473

Change 411480 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411480

Change 411471 merged by jenkins-bot:
[mediawiki/extensions/ImageMap@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411471

Change 411478 merged by jenkins-bot:
[mediawiki/extensions/Poem@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411478

Change 411477 merged by jenkins-bot:
[mediawiki/extensions/PdfHandler@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411477

Change 411475 merged by jenkins-bot:
[mediawiki/extensions/Nuke@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411475

Change 411468 merged by jenkins-bot:
[mediawiki/extensions/CiteThisPage@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411468

Change 411474 merged by jenkins-bot:
[mediawiki/extensions/LocalisationUpdate@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411474

Change 411469 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411469

Change 411467 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Set phan-taint-check-plugin version in composer.json

https://gerrit.wikimedia.org/r/411467

Legoktm closed this task as Resolved.Feb 16 2018, 10:21 PM
sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 6:31 PM